aboutsummaryrefslogtreecommitdiff
path: root/boca-1.5.2/tools/etc/icpc/update.sh
diff options
context:
space:
mode:
authorcassiopc <cassiopc@gmail.com>2012-10-24 07:56:07 +0000
committercassiopc <cassiopc@gmail.com>2012-10-24 07:56:07 +0000
commit3a5f406ff59a05c0eddda191127d58b39cb8049b (patch)
treef3ff6adfea30fba8271dedc81d7d652737ae397e /boca-1.5.2/tools/etc/icpc/update.sh
parent9ae5ead9f89bcc7195420bdf6cc78db2c63dbeda (diff)
downloadboca-3a5f406ff59a05c0eddda191127d58b39cb8049b.tar.gz
boca-3a5f406ff59a05c0eddda191127d58b39cb8049b.zip
open dir for 1.5.2. I still must split devel and master in different branches to properly use git...
Diffstat (limited to 'boca-1.5.2/tools/etc/icpc/update.sh')
-rw-r--r--boca-1.5.2/tools/etc/icpc/update.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/boca-1.5.2/tools/etc/icpc/update.sh b/boca-1.5.2/tools/etc/icpc/update.sh
new file mode 100644
index 0000000..f6b4bb6
--- /dev/null
+++ b/boca-1.5.2/tools/etc/icpc/update.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+if [ "`id -u`" != "0" ]; then
+ echo "Script must run as root"
+fi
+wget -O /tmp/update.sh "http://www.ime.usp.br/~cassio/boca/update.sh"
+if [ $? != 0 ]; then
+ echo "ERROR DOWNLOADING UPDATE"
+ exit 1
+fi
+echo ">>>>>>>>>>"
+echo ">>>>>>>>>> Running update script"
+echo ">>>>>>>>>>"
+/tmp/update.sh
+exit $?